Elastic search migration from 6.4 to 7.10

Hello team ,
By seeing the upgrade strategy from ELK docs I can directly upgrade from 6.4 to 7.10 but if I do so I am facing an issue "incompatible version " is that I need to upgrade from 6.4 to 6.8 and then to 7.10 ? Please advice

For rolling upgrades, yes you need to upgrade to the latest 6.8 version first, check that everything is ok in Kibana (migration helper) and then upgrade to 7.10.